Tests

List project tests

Returns all active tests and components for the app.

GET /api/public/v1/tests

List project tests

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/tests' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "tests": [
    {
      "id": "<string>",
      "createdAt": 1,
      "name": "<string>",
      "description": "<string>",
      "isComponent": true,
      "viewportPreset": "desktop",
      "liveTestUserId": "<string>",
      "testVersionTestUserId": "<string>",
      "updatedAt": 1
    }
  ]
}

Tests found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Query Parameters

  • appId string required

    App ID.

Response

application/json
  • tests[] object array

    Tests and components for the app.

    + Show Child Attributes
    • id string

      Opaque identifier for this resource.

    • createdAt number

      Unix timestamp in milliseconds when the resource was created.

    • name string

      Human-readable name for the resource.

    • description string | null

      Human-readable description for the resource.

    • isComponent boolean

      Whether the test definition is reusable as a component step in other tests.

    • viewportPreset string enum | null

      Viewport preset Buildprint should apply when running the test.

    • liveTestUserId string | null

      Project test user assigned when the test runs against live data.

    • testVersionTestUserId string | null

      Project test user assigned when the test runs against test data.

    • updatedAt number

      Unix timestamp in milliseconds when the resource was last updated.